#ifndef TRANSITIONSET__H
#define TRANSITIONSET__H

#include <vector>
#include <string>
#include <unordered_map>
#include "Transition.hpp"

class TransitionSet
{
  private :

  std::vector<Transition> transitions;
  std::unordered_map<std::string, std::size_t> name2index;
  std::optional<std::size_t> defaultAction;

  public :

  TransitionSet(const std::string & filename);
};

#endif
